%global _hardened_build 1

Name:           tmux
Version:        3.2a
Release:        3
Summary:        A terminal multiplexer

License:        ISC and BSD
URL:            https://tmux.github.io/
Source0:        https://github.com/%{name}/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz
Source1:        bash_completion_tmux.sh

Patch6000:	backport-CVE-2022-47016.patch

BuildRequires:  gcc libevent-devel ncurses-devel libutempter-devel

%description
%{name} is a terminal multiplexer. It lets you switch easily between several
programs in one terminal, detach them (they keep running in the background)
and reattach them to a different terminal.

%package_help 

%prep
%autosetup

%build
%configure
%make_build


%install
%make_install

install -Dpm 644 %{SOURCE1} %{buildroot}%{_datadir}/bash-completion/completions/%{name}

%post
if [ "$1" = 1 ]; then
  if [ ! -f %{_sysconfdir}/shells ] ; then
    touch %{_sysconfdir}/shells
  fi
  for binpath in %{_bindir} /bin; do
    if ! grep -q "^${binpath}/tmux$" %{_sysconfdir}/shells; then
       (cat %{_sysconfdir}/shells; echo "$binpath/tmux") > %{_sysconfdir}/shells.new
       mv %{_sysconfdir}/shells{.new,}
    fi
  done
fi

%postun
if [ "$1" = 0 ] && [ -f %{_sysconfdir}/shells ] ; then
  sed -e '\!^%{_bindir}/tmux$!d' -e '\!^/bin/tmux$!d' < %{_sysconfdir}/shells > %{_sysconfdir}/shells.new
  mv %{_sysconfdir}/shells{.new,}
fi

%files
%defattr(-,root,root) 
%license COPYING
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/%{name}

%files help
%defattr(-,root,root)
%{_mandir}/man1/%{name}.1.gz

%changelog
* Sat Feb 04 2023 zhouwenpei <zhouwenpei1@h-partners.com> - 3.2a-3
- fix CVE-2022-47016

* Wed Oct 26 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 3.2a-2
- Rebuild for next release

* Fri Dec 3 2021 yangcheng <yangcheng87@huawei.com> - 3.2a-1
- DESC:upgrade to 3.2a

* Sat Nov 28 2020 wangye <wangye70@huawei.com> - 3.1-2
- DESC:fix CVE

* Sat Jun 20 2020 weiwei_150212 <tianwei12@huawei.com> - 3.1-1
- DESC:update to release 3.1

* Fri Oct 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.9a-1
- Package init
